<?php
//Размер карты
$size_of_map=20;
//Смещение по высоте и влево для отрисовки стен
$top_and_left_translation=5;
//Карта 20x20: 1 - стена, 0 - пространство
$map=array(1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,
1,0,0,0,1,1,1,1,1,0,0,0,0,0,0,1,0,1,0,1,
1,0,1,1,1,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,
1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,
1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,
1,0,0,0,1,0,0,0,1,1,1,1,0,0,0,1,0,1,0,1,
1,0,0,0,1,0,0,0,1,1,1,1,0,0,0,1,0,1,0,1,
1,0,0,0,1,0,0,0,1,1,1,1,0,0,0,0,0,0,0,1,
1,0,0,0,1,0,0,0,1,1,1,1,0,0,0,0,0,0,0,1,
1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1);


function mini_map($map, $size_of_map, $top_and_left_translation) {
//Переменные определяют координаты, где рисовать стену/пространство
$left=0;
$top=0;
//Обходим массив в цикле и рисуем пространство/стену.
//Если ключ равен концу строки массива (20), то спускаемся на
//на 5 пикселей вниз, обнуляем значение  left, чтобы начать рисовать с новой строки 
foreach ($map as $key => $var) {
		$left+=$top_and_left_translation;	
		if ($key%$size_of_map==0) {
			$left=0;
			$top+=$top_and_left_translation;
		}
//По умолачанию рисуем пространтство белым. Можно убрать совсем, если не требуется  выделять пространство другим цветом	
			print('<div id="space" style="width: 5px; hight: 5px; left: '.$left.'px; top: '.$top.'px;"></div></div>');

if ($var==1)
			print('<div id="wall" style="width: 5px; hight: 5px; left: '.$left.'px; top: '.$top.'px;"></div></div>');
	}
}

mini_map($map, $size_of_map, $top_and_left_translation);
?>

<style>
			#space {
			position: absolute;
			top:  200px;
			left: 300px;
			background-color: white;
			width: 5px;
			height: 5px;
			}
			
			#wall {
			position: absolute;
			top:  200px;
			left: 300px;
			background-color: #999;
			width: 5px;
			height: 5px;
			}				
</style>
 
